Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

Get trace file contents for specified run requested.

Request

Security
Bearer
Query
methodNamestring
runGuidstring
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/trace?methodName=string&runGuid=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns list of strings with trace file contents.

BodyArray [
string
]
Response
[ "string" ]

Get asset file requested as a blob.

Request

Security
Bearer
Query
assetPathstring

Absolute path to asset.

assetTypestring

File extension to denote the type of asset file requested.

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/asset?assetPath=string&assetType=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Microsoft.AspNetCore.Mvc.FileContentResult

Body
string(binary)
Response
"string"

Get build artifact file for InstrumentViewer requested as a blob.

Request

Security
Bearer
Path
artifactNamestringrequired

Name of InstrumentViewer build artifact.

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/artifacts/{artifactName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Microsoft.AspNetCore.Mvc.FileContentResult

Body
string(binary)
Response
"string"

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations